# CoinModelUseful.hpp File Reference

`#include <cstdlib>`
`#include <cmath>`
`#include <cassert>`
`#include <cfloat>`
`#include <cstring>`
`#include <cstdio>`
`#include <iostream>`
`#include "CoinPragma.hpp"`
Include dependency graph for CoinModelUseful.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CoinModelLink
| This is for various structures/classes needed by CoinModel. More...
struct | CoinModelTriple
| for linked lists More...
struct | CoinModelHashLink
| for names and hashing More...
struct | symrec
| For string evaluation. More...
class | CoinYacc
class | CoinModelHash
class | CoinModelHash2
| For int,int hashing. More...
class | CoinModelLinkedList
## Typedefs
typedef double(* | func_t )(double)
typedef struct symrec | symrec
## Functions
int | rowInTriple (const CoinModelTriple &triple)
void | setRowInTriple (CoinModelTriple &triple, int iRow)
bool | stringInTriple (const CoinModelTriple &triple)
void | setStringInTriple (CoinModelTriple &triple, bool string)
void | setRowAndStringInTriple (CoinModelTriple &triple, int iRow, bool string)

## Typedef Documentation

typedef double(* func_t)(double)

Definition at line 133 of file CoinModelUseful.hpp.

typedef struct symrec symrec

Definition at line 149 of file CoinModelUseful.hpp.

## Function Documentation

int rowInTriple | ( | const CoinModelTriple & | triple | ) | `[inline]`

Definition at line 115 of file CoinModelUseful.hpp.

void setRowInTriple | ( | CoinModelTriple & | triple,
|  | int | iRow |
| ) |  |  | `[inline]`

Definition at line 117 of file CoinModelUseful.hpp.

bool stringInTriple | ( | const CoinModelTriple & | triple | ) | `[inline]`

Definition at line 119 of file CoinModelUseful.hpp.

void setStringInTriple | ( | CoinModelTriple & | triple,
|  | bool | string |
| ) |  |  | `[inline]`

Definition at line 121 of file CoinModelUseful.hpp.

void setRowAndStringInTriple | ( | CoinModelTriple & | triple,
|  | int | iRow,
|  | bool | string |
| ) |  |  | `[inline]`

Definition at line 123 of file CoinModelUseful.hpp.

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines